package com.persagy.functions.weather.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.persagy.ems.pojo.wz.DayStaticMoreRecord;
import com.persagy.ems.pojo.wz.DayStaticRecord;
import com.persagy.ems.pojo.wz.HourRecordData;
import com.persagy.functions.weather.constant.ConstStatisticType;

public interface DayStaticService {
	/**查询日最值统计数据*/
	public List<DayStaticRecord> query(String cityId, Date startTime, Date endTime) throws Exception;
	/**保存日最值统计数据*/
	public void save(DayStaticRecord paramDayStaticRecord) throws Exception;
	/**批量保存日最值统计数据*/
	public void save(List<DayStaticRecord> paramList) throws Exception;
	/**由24小时数据统计到日最值和日均值数据表*/
	public boolean staticHourToDay(String cityId, Date dayTime, List<HourRecordData> sourcelist) throws Exception;
	/**重新计算某日的日最值和日均值*/
	public boolean restaticHourToDay(String cityId, Date dayTime, List<HourRecordData> sourcelist) throws Exception;
	/**由24小时数据统计到日最值和日均值数据表*/
	public boolean staticHourToDay(String cityId, Date dayTime, List<HourRecordData> sourcelist, ConstStatisticType type) throws Exception;
	/**由24小时数据统计到日最值和日均值数据表*/
	public boolean staticHourToDay(String cityId, Map<Date, List<HourRecordData>> sourceData, ConstStatisticType type) throws Exception;
	/**重新计算某日的日最值和日均值*/
	public boolean restaticHourToDay(String cityId, Date dayTime, List<HourRecordData> sourcelist, ConstStatisticType type) throws Exception;
	/**重新计算某日的日最值和日均值*/
	public boolean restaticHourToDay(String cityId, Map<Date, List<HourRecordData>> sourceData, ConstStatisticType type) throws Exception;
	/**由24小时数据统计到日最值和日均值数据表*/
	public boolean staticHourToDay(String cityId, Date dayTime) throws Exception;
	/**重新计算某日的日最值和日均值*/
	public boolean restaticHourToDay(String cityId, Date dayTime) throws Exception;
	/**查询日均值等统计数据*/
	public List<DayStaticMoreRecord> queryMore(String cityId, Date startTime, Date endTime) throws Exception;
	/**保存日均值等统计数据*/
	public void save(DayStaticMoreRecord paramDayStaticRecord) throws Exception;
	/**批量保存日均值等统计数据*/
	public void saveMore(List<DayStaticMoreRecord> paramList) throws Exception;
}
